:language: csharp

:function: method
:upper_function: Method

include::../description.adoc[]

=== Exceptions

The rule does not count the parameters intended for a base class constructor.

With a maximum number of 4 parameters:

[source,csharp]
----
public class BaseClass
{
    public BaseClass(int param1)
    {
        // ...
    }
}

public class DerivedClass : BaseClass
{
    public DerivedClass(int param1, int param2, int param3, string param4, long param5) : base(param1) // Compliant by exception
    {
        // ...
    }
}
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Message

\[Constructor|Method|Lambda|Delegate] has {0} parameters, which is greater than the {1} authorized.


include::../parameters.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
